
import matplotlib.pyplot as plt
import numpy as np

#
# assumes output of inf_solv redirected to t00
#
r, rho, ur, up, Br, Bp = np.loadtxt('t00', unpack=True)

fig, axs = plt.subplots(2,2, figsize=(10,10))

axs[0,0].plot(r, rho)
axs[0,0].set_xlabel('r')
axs[0,0].set_ylabel(r'$\rho$')

axs[0,1].plot(r, ur)
axs[0,1].set_xlabel('r')
axs[0,1].set_ylabel(r'$u^r$')

axs[1,0].plot(r, up)
axs[1,0].set_xlabel('r')
axs[1,0].set_ylabel(r'$u^\phi$')

axs[1,1].plot(r, Bp)
axs[1,1].set_xlabel('r')
axs[1,1].set_ylabel(r'$B^\phi$')

plt.tight_layout()

plt.show()
